Jump to content
Wikimedia Meta-Wiki

Module:Infobox/styles.css

From Meta, a Wikimedia project coordination wiki
 /* avoid styling the HTML elements, which are likely to change away from tables */
 .infobox{
 border:1pxsolid#a2a9b1;
 border-spacing:3px;
 background-color:#f8f9fa;
 color:black;
 padding:0.2em;
 font-size:88%;
 line-height:1.5em;
 box-sizing:border-box;
 }

 .infobox-header,
 .infobox-label,
 .infobox-above,
 .infobox-full-data,
 .infobox-data,
 .infobox-below,
 .infobox-subheader,
 .infobox-image,
 .infobox-navbar{
 vertical-align:top;
 }

 .infobox-label,
 .infobox-data{
 text-align:left;
 }

 .infobox-above,
 .infobox-title{
 font-size:125%;
 font-weight:bold;
 text-align:center;
 }

 .infobox-title{
 padding:0.2em;
 }

 .infobox-header,
 .infobox-subheader,
 .infobox-image,
 .infobox-full-data,
 .infobox-below{
 text-align:center;
 }

 .infobox-navbar{
 text-align:right;
 }

 .infobox.navbar{
 font-size:100%;
 }

 @media(min-width:720px){
 .infobox{
 margin:0.5em00.5em1em;
 float:right;
 clear:right;
 width:22em;
 }
 }

 /*
  * not strictly certain these styles are necessary since the modules now
  * exclusively output infobox-subbox or infobox, not both
  * just replicating the module faithfully
  */
 .infobox-subbox{
 padding:0;
 border:none;
 margin:-3px;
 width:auto;
 clear:none;
 float:none;
 min-width:100%;
 font-size:100%;
 background-color:transparent;
 }

AltStyle によって変換されたページ (->オリジナル) /